package com.zd.exam.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 考核列表记录VO
 */
public class ElPaperAssessVo {

    /**
     * 试卷ID
     */
    private Long paperId;

    /**
     * 考核名称
     */
    private String assessName;

    /**
     * 考核时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date assessTime;

    /**
     * 全部题数
     */
    private Integer allQu;

    /**
     * 单选题数
     */
    private Integer radioQu;

    /**
     * 多选题数
     */
    private Integer multiQu;

    /**
     * 判断题数
     */
    private Integer judgeQu;

    /**
     * 考核正确率，100 表示通过，其余都不通过
     */
    private Integer accuracy;

    /**
     * 错误数
     */
    private Integer errors;
    /**
     * 正确数
     */
    private Integer correctly;

    /**
     * 获得奖励分
     */
    private Long points;

    public Long getPaperId() {
        return paperId;
    }

    public void setPaperId(Long paperId) {
        this.paperId = paperId;
    }

    public String getAssessName() {
        return assessName;
    }

    public void setAssessName(String assessName) {
        this.assessName = assessName;
    }

    public Date getAssessTime() {
        return assessTime;
    }

    public void setAssessTime(Date assessTime) {
        this.assessTime = assessTime;
    }

    public Integer getAllQu() {
        return allQu;
    }

    public void setAllQu(Integer allQu) {
        this.allQu = allQu;
    }

    public Integer getRadioQu() {
        return radioQu;
    }

    public void setRadioQu(Integer radioQu) {
        this.radioQu = radioQu;
    }

    public Integer getMultiQu() {
        return multiQu;
    }

    public void setMultiQu(Integer multiQu) {
        this.multiQu = multiQu;
    }

    public Integer getJudgeQu() {
        return judgeQu;
    }

    public void setJudgeQu(Integer judgeQu) {
        this.judgeQu = judgeQu;
    }

    public Integer getAccuracy() {
        return accuracy;
    }

    public void setAccuracy(Integer accuracy) {
        this.accuracy = accuracy;
    }

    public Long getPoints() {
        return points;
    }

    public void setPoints(Long points) {
        this.points = points;
    }

    public Integer getErrors() {
        return errors;
    }

    public void setErrors(Integer errors) {
        this.errors = errors;
    }

    public Integer getCorrectly() {
        return correctly;
    }

    public void setCorrectly(Integer correctly) {
        this.correctly = correctly;
    }
}
